Create a guest form

This API helps you to create a guest form for the specified guest.You must specify the unique identifier of the guest as guest_id in the API request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Note: Retrieving/updating uploaded files, signatures and annotations are not supported.

Request Body Parameters

NameTypeDescription
datastringComplete guest form data in JSON format.
guest_datastringGuest data in JSON format.
is_form_submittedbooleanIndicates whether the form has been submitted.
form_idguidUnique 32-character identifier of the guest form.
is_required_filledbooleanIndicates whether the form must be mandatorily filled.
is_reviewedbooleanIndicates whether the form has been reviewed.
tag_idguidUnique 32-character identifier of the guest form's associated tag.
SourcestringSource from which the form is saved.

Response Details

NameTypeDescription
successbooleanTrue if the guest form has been successfully created and saved.
Query Params
string
required

Mandatory Unique 32-character identifier of the guest.

Body Params
string

Unique identifier of the form.

boolean

Denotes if the required fields are filled or not. True - means the required fields are filled. False - means the required fields are not filled.

boolean

Denotes if the form is reviewed. True - means the form is reviewed. False - means the form is not reviewed.

boolean

Denotes if the form is submitted or not. True - means the form is submitted. False - means the form is not submitted.

string

Unique identifier of the tag in the form.

string

Source where the form is saved.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json